diff libtomcrypt/run.sh @ 1511:5916af64acd4 fuzz

merge from main
author Matt Johnston <matt@ucc.asn.au>
date Sat, 17 Feb 2018 19:29:51 +0800
parents 6dba84798cd5
children
line wrap: on
line diff
--- a/libtomcrypt/run.sh	Tue Jan 23 23:27:40 2018 +0800
+++ b/libtomcrypt/run.sh	Sat Feb 17 19:29:51 2018 +0800
@@ -1,35 +1,49 @@
 #!/bin/bash
+
+# output version
+bash printinfo.sh
+
 bash build.sh " $1" "$2 -O2" "$3 IGNORE_SPEED=1" "$4" "$5"
 if [ -a testok.txt ] && [ -f testok.txt ]; then
    echo
 else
-	echo
-	echo "Test failed"
-	exit 1
+   echo
+   echo "Test failed"
+   exit 1
 fi
 
 rm -f testok.txt
-bash build.sh " $1" "$2 -Os" " $3 IGNORE_SPEED=1 LTC_SMALL=1" "$4" "$5"
+bash build.sh " $1" "$2 -Os" "$3 IGNORE_SPEED=1 LTC_SMALL=1" "$4" "$5"
 if [ -a testok.txt ] && [ -f testok.txt ]; then
    echo
 else
-	echo
-	echo "Test failed"
-	exit 1
+   echo
+   echo "Test failed"
+   exit 1
 fi
 
 rm -f testok.txt
-bash build.sh " $1" " $2" " $3 " "$4" "$5"
+bash build.sh " $1" "$2" "$3 LTC_DEBUG=1" "$4" "$5"
 if [ -a testok.txt ] && [ -f testok.txt ]; then
    echo
 else
-	echo
-	echo "Test failed"
-	exit 1
+   echo
+   echo "Test failed"
+   exit 1
+fi
+
+rm -f testok.txt
+bash build.sh " $1" "$2" "$3" "$4" "$5"
+if [ -a testok.txt ] && [ -f testok.txt ]; then
+   echo
+else
+   echo
+   echo "Test failed"
+   exit 1
 fi
 
 exit 0
 
-# $Source: /cvs/libtom/libtomcrypt/run.sh,v $   
-# $Revision: 1.15 $   
-# $Date: 2005/07/23 14:18:31 $ 
+# ref:         $Format:%D$
+# git commit:  $Format:%H$
+# commit time: $Format:%ai$